> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite

> Invite a user



## OpenAPI

````yaml /openapi.json post /api/v1/users/invite
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/users/invite:
    post:
      tags:
        - users
      summary: Invite
      description: Invite a user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: User email
                companyId:
                  type: string
                  description: Company id
                roles:
                  type: array
                  description: |
                    Roles of the user. The possible values are:
                    - ROLE_OWNER # Business manager
                    - ROLE_MANAGER # Inventory manager
                    - ROLE_VALIDATOR # Validator
                    - ROLE_VIEWER # Viewer
                  items:
                    type: string
                    enum:
                      - ROLE_OWNER
                      - ROLE_MANAGER
                      - ROLE_VALIDATOR
                      - ROLE_VIEWER
              required:
                - roles
            examples:
              Business manager:
                value:
                  email: businessManager@manglai.io
                  companyId: 094cba11-9f25-4fc6-8398-c7d0c49a18b9
                  roles:
                    - ROLE_OWNER
              Inventory manager:
                value:
                  email: inventoryManager@manglai.io
                  companyId: 094cba11-9f25-4fc6-8398-c7d0c49a18b9
                  roles:
                    - ROLE_MANAGER
      responses:
        '200':
          description: The user
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````